Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1574254 - after upgrading from fedora 27, cannot see login screen, instead gnome-initial-setup starts
Summary: after upgrading from fedora 27, cannot see login screen, instead gnome-initia...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-initial-setup
Version: 28
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Rui Matos
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-05-02 22:35 UTC by lukes
Modified: 2019-05-28 20:36 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-28 20:36:10 UTC
Type: Bug


Attachments (Terms of Use)

Description lukes 2018-05-02 22:35:51 UTC
Description of problem:
after upgrading from fedora 27, cannot see login screen, instead gnome-initial-setup starts. Switching to console, I can login... after uninstalling gnome-initial-setup, login screen shows up, but there is no my user, however I can type it in

Also, gnome do not show users, and i cannot create any

If I go through initial setup, the new user is not created  

I am using laptop Lenovo T440s

Comment 1 lukes 2018-05-03 14:01:27 UTC
Looks like also keyboard got crazy, now when I press shift+| then all letters comes as uppercase, the same as CapsLock was on.

Alt+tab switches windows only first time, then the switch bar stays on, and I have to click the window to make it desperate. 

When I boot Live image, then everything works good... I think upgrade from 27 to 28 does not work correctly, and I followed https://fedoraproject.org/wiki/DNF_system_upgrade instructions

Comment 2 Kalev Lember 2018-05-03 15:20:12 UTC
Can you try if downgrading accountsservice fixes it?

dnf downgrade accountsservice*'

Comment 3 Kalev Lember 2018-05-03 15:21:08 UTC
Sorry, typoed above. Should be:

dnf downgrade 'accountsservice*'

Comment 4 lukes 2018-05-04 15:42:13 UTC
did not help ;(

Comment 5 lukes 2018-05-04 15:47:41 UTC
I am ready to just do the fresh install... but here some logs from jurnal that appear everytime I open users window:

May 04 11:43:18 thinkpad-lukes tracker-store[2838]: database is locked
May 04 11:43:20 thinkpad-lukes gnome-shell[2339]: Object Meta.WindowActor (0x5617a434bb70), has been already finalized. Impossible to get
 any property from it.
May 04 11:43:20 thinkpad-lukes gnome-shell[2339]: Object Meta.WindowActor (0x5617a434bb70), has been already finalized. Impossible to set
 any property to it.
May 04 11:43:20 thinkpad-lukes org.gnome.Shell.desktop[2339]: == Stack trace for context 0x5617a1e43180 ==
May 04 11:43:20 thinkpad-lukes org.gnome.Shell.desktop[2339]: #0 0x7ffcb189aac0 b   resource:///org/gnome/shell/ui/tweener.js:73 (0x7fda5
41c7cd0 @ 9)
May 04 11:43:20 thinkpad-lukes org.gnome.Shell.desktop[2339]: #1 0x7ffcb189ab60 b   resource:///org/gnome/shell/ui/tweener.js:105 (0x7fda
541c7f78 @ 36)
May 04 11:43:20 thinkpad-lukes org.gnome.Shell.desktop[2339]: #2 0x7ffcb189ac00 b   resource:///org/gnome/shell/ui/tweener.js:92 (0x7fda5
41c7de0 @ 52)
May 04 11:43:20 thinkpad-lukes org.gnome.Shell.desktop[2339]: #3 0x7ffcb189acc0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:
208 (0x7fda541d2918 @ 54)
May 04 11:43:20 thinkpad-lukes org.gnome.Shell.desktop[2339]: #4 0x7ffcb189ae10 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:
337 (0x7fda541d29a0 @ 1626)
May 04 11:43:20 thinkpad-lukes org.gnome.Shell.desktop[2339]: #5 0x7ffcb189aec0 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:
350 (0x7fda541d2a28 @ 100)
May 04 11:43:20 thinkpad-lukes org.gnome.Shell.desktop[2339]: #6 0x7ffcb189af50 b   resource:///org/gnome/gjs/modules/tweener/tweener.js:
365 (0x7fda541d2ab0 @ 10)
May 04 11:43:20 thinkpad-lukes org.gnome.Shell.desktop[2339]: #7 0x7ffcb189afd0 I   resource:///org/gnome/gjs/modules/signals.js:128 (0x7
fda541cff78 @ 386)
May 04 11:43:20 thinkpad-lukes org.gnome.Shell.desktop[2339]: #8 0x7ffcb189b080 b   resource:///org/gnome/shell/ui/tweener.js:207 (0x7fda
541cf5e8 @ 159)
May 04 11:43:20 thinkpad-lukes org.gnome.Shell.desktop[2339]: #9 0x7ffcb189b0f0 I   resource:///org/gnome/gjs/modules/_legacy.js:82 (0x7f
da541b5de0 @ 71)
May 04 11:43:20 thinkpad-lukes org.gnome.Shell.desktop[2339]: #10 0x7ffcb189b0f0 I   resource:///org/gnome/shell/ui/tweener.js:182 (0x7fd
a541cf560 @ 15)

Comment 6 Jack 2018-06-10 09:54:21 UTC
I met the same issue. And if I using Ctrl+Alt+F2 to start a new session, and input my username and password, then I can log in my account. But when I check gnome settings-->Details-->Users, I find that there are no users found!

Comment 7 lukes 2018-06-10 12:56:59 UTC
I did not find solution beside wipe the drive and start with fresh install.... After that everything works fine. But because for this problem I haven't upgraded my desktop and my kids laptops.

Comment 8 Jack 2018-06-11 00:46:47 UTC
I think the initial-setup progress can't check the users in the current list, so it login the default gnome-initial-setup.

Comment 9 Ben Cotton 2019-05-02 21:36:27 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 10 Ben Cotton 2019-05-28 20:36:10 UTC
Fedora 28 changed to end-of-life (EOL) status on 2019-05-28. Fedora 28 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.